#
# (c) 2004 Mike Schuster (mschuster@cfa.harvard.edu)
# (c) 2004 SAO - Smithsonian Astrophysical Observatory
#
#  v2.1 - 4 APR 2006
#
#  Convert IRAC Dmask images to IRAF bad pixel masks (BPM).
#

procedure mkbpm (fname)

string fname


begin

 string exfile
 exfile = fname

 if (access("shortcut"))
  delete("shortcut",verify-)
 if (access("mkbpm.script"))
  delete("mkbpm.script",verify-)

#
# make bad pixel masks for display
#

 unlearn ("imcopy")
 unlearn ("imreplace")
 unlearn ("hedit")

 print "perl $IRAC_SRC/mkbpm.pl ",exfile//" > mkbpm.script", > "shortcut"

 !chmod +x shortcut
 !./shortcut

 cl < mkbpm.script

 if (access("shortcut"))
  delete("shortcut",verify-)
 if (access("mkbpm.script"))
  delete("mkbpm.script",verify-)

end
