#
#  Mike Schuster
#  mschuster@cfa.harvard.edu
#  1 SEPT 2006
#
#  Template for MOPEX's mosaicker module.
#
#
# Module Control
#-------------------------------------------------------

have_uncertainties = 0
compute_uncertainties_internally = 0

run_fiducial_image_frame = 1
run_mosaic_geom = 0
run_mosaic_interp = 0

run_mosaic_outlier = 0
run_mosaic_box_outlier = 0

run_mosaic_covg = 0
run_mosaic_rmask = 0
run_mosaic_reinterp = 0
run_mosaic_coadder = 0
run_mosaic_combiner = 0

run_absolute_minimum_mosaic = 0
run_median_mosaic = 0
sigma_weighted_coadd = 0
run_mosaic_medfilter = 0

create_unc_mosaic = 0
create_std_mosaic = 0
create_outlier_mosaic = 0
create_dual_outlier_mosaic = 0
create_rmask_mosaic = 0

# Run Options
#-------------------------------------------------------

delete_intermediate_products = 1
delete_intermediate_files = 1
save_namelist = 0
NICE = 1
verbose = 0

USE_REFINED_POINTING = 0

MOSAIC_PIXEL_SIZE_X = <MOSAIC_PIXEL_SIZE_X>
MOSAIC_PIXEL_SIZE_Y = <MOSAIC_PIXEL_SIZE_Y>

#MOSAIC_PIXEL_RATIO_X = 1.220
#MOSAIC_PIXEL_RATIO_Y = 1.220

# File Lists
#-------------------------------------------------------

IMAGE_STACK_FILE_NAME = <IMAGE_STACK_FILE_NAME>
FIF_FILE_NAME = <FIF_FILE_NAME>

# Directories
#-------------------------------------------------------

OUTPUT_DIR = <OUTPUT_DIR>

# Module Parameters
#-------------------------------------------------------

&FIDUCIALIMAGEFRAMEIN
# Edge_Padding is given in terms of pixels,
   Edge_Padding = <Edge_Padding>,
# if specified CROTA2 is used for FIF,
# without modification (A = average),
   CROTA2 = <CROTA2>,
&END
