# LOGINUSER.CL -- User login file for the IRAF command language.

reset stdimage = imt512
reset imtype   = "fits"

# IRAC Processing
set IRACproc = "<IRACproc_install_path>/IRACproc/"

task mkbpm       = IRACproc$source/mkbpm.cl
task inspect     = IRACproc$source/inspect.cl

task do_nsfind   = IRACproc$source/do_nsfind.cl
task psort_xy    = IRACproc$source/psort_xy.cl
task pdump_xy    = IRACproc$source/pdump_xy.cl
task do_nsphot   = IRACproc$source/do_nsphot.cl
task pdump_xymag = IRACproc$source/pdump_xymag.cl
task do_wcsctran = IRACproc$source/do_wcsctran.cl
task run_nsphot  = IRACproc$source/run_nsphot.cl

# Load packages that will be used for processing

images
immatch
imutil
tv

lists

noao
digiphot
apphot
ptools

keep
